### Class

# Ggit BlobOutputStream

#### Description [src]

    class Ggit.BlobOutputStream : Gio.OutputStream
    {
      /* No available fields */
    }

Represents a blob stream object.

#### Hierarchy

#### Ancestors

- GOutputStream
- GObject

#### Instance methods

###### ggit_blob_output_stream_get_id

Get the id of the written blob. The blob id is only available after the stream has been properly closed. If an error occurred while writing the blob, the `NULL` is returned and `error` is set accordingly.

##### Methods inherited from GOutputStream (31)

Please see GOutputStream for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ggit.BlobOutputStream:repository

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitBlobOutputStreamClass {
      /* no available fields */
    }

The class structure for `GgitBlobOutputStreamClass`.